# ai_sign.cpp File Reference

Implementation of AISign. More...

`#include "../../stdafx.h"`
`#include "ai_sign.hpp"`
`#include "table/strings.h"`
`#include "../ai_instance.hpp"`
`#include "../../command_func.h"`
`#include "../../core/alloc_func.hpp"`
`#include "../../signs_base.h"`
`#include "../../string_func.h"`
`#include "../../strings_func.h"`
`#include "../../tile_map.h"`
`#include "../../company_func.h"`

Go to the source code of this file.

## Detailed Description

Implementation of AISign.

Definition in file ai_sign.cpp.